View Issue Details

IDProjectCategoryView StatusLast Update
0000103file[All Projects] Generalpublic2019-09-11 15:20
ReporterstokitoAssigned Tochristos 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.37 
Target VersionFixed in VersionHEAD 
Summary0000103: ZStandard incorrect MIME type application/x-zstd
DescriptionIn the commit "PR/573: Nick Terrell: Add zstd support" https://github.com/file/file/commit/5b8826616cb699b69f7a1cc7b5c0cbac4b5bed9b was added a support for
for ZStandard compressed files with "application/x-zstd" MIME type.
But latter the official MIME type was assigned without the "x-" i.e. "application/zstd":
https://www.iana.org/assignments/media-types/application/zstd
https://tools.ietf.org/search/rfc8478
https://github.com/facebook/zstd/issues/767
Steps To Reproduce$ touch test.txt
$ zstd test.txt
test.txt :1300.00% ( 0 => 13 bytes, test.txt.zst)
$ file -i test.txt.zst
test.txt.zst: application/x-zstd; charset=binary
Additional InformationAll GUI archievers (Ark, File Roller, Engrampa) internally using the correct "application/zstd" MIME type
Tagsmagic

Activities

stokito

2019-09-04 19:46

reporter   ~0003287

BTW, only 0xFD2FB528 was standardized so we can remove all previous magic signatures.
0xFD2FB522 Zstandard compressed data (v0.2)
0xFD2FB523 Zstandard compressed data (v0.3)
0xFD2FB524 Zstandard compressed data (v0.4)
0xFD2FB525 Zstandard compressed data (v0.5)
0xFD2FB526 Zstandard compressed data (v0.6)
0xFD2FB527 Zstandard compressed data (v0.7)

christos

2019-09-11 15:20

manager   ~0003291

Fixed, thanks

Issue History

Date Modified Username Field Change
2019-09-01 04:41 stokito New Issue
2019-09-01 04:41 stokito Tag Attached: magic
2019-09-04 19:46 stokito Note Added: 0003287
2019-09-11 15:20 christos Assigned To => christos
2019-09-11 15:20 christos Status new => assigned
2019-09-11 15:20 christos Status assigned => resolved
2019-09-11 15:20 christos Resolution open => fixed
2019-09-11 15:20 christos Fixed in Version => HEAD
2019-09-11 15:20 christos Note Added: 0003291